/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ReservacionMercadoDAO;
import com.rjconsultores.ventaboletos.entidad.ReservacionMercado;
import com.rjconsultores.ventaboletos.service.ReservacionMercadoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("reservacionMercadoService")
public class ReservacionMercadoServiceImpl implements ReservacionMercadoService {

    @Autowired
    private ReservacionMercadoDAO reservacionMercadoDAO;

    public List<ReservacionMercado> obtenerTodos() {
        return reservacionMercadoDAO.obtenerTodos();
    }

    public ReservacionMercado obtenerID(Integer id) {
        return reservacionMercadoDAO.obtenerID(id);
    }

    @Transactional
    public ReservacionMercado suscribir(ReservacionMercado entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionMercadoDAO.suscribir(entidad);
    }

    @Transactional
    public ReservacionMercado actualizacion(ReservacionMercado entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return reservacionMercadoDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ReservacionMercado entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        reservacionMercadoDAO.actualizacion(entidad);
    }
}
